from sys import stdin

n = int(input())
votes = list()
rates = [[i, 0] for i in range(n)]
for vote in map(lambda x: int(x)-1, stdin):
    if vote != -1:
        votes.append(vote)
        rates[vote][1] += 1
    else:
        votes.append(-1)

"""
print(votes)
print(sorted((tuple(pair) for pair in rates), key=lambda x: x[1]))
"""

crew = set()
ban = set()
for e, rate in sorted((tuple(pair) for pair in rates), key=lambda x: x[1]):
    if e not in ban and votes[e] not in crew:
        crew.add(e)
        ban.add(votes[e])

print(len(crew))
